		var flag=[0,0,0,0,0,0];
		var $=function(tagName){
			return document.getElementsByTagName(tagName);
		}


	//----------密码检测
		function check_password(obj){
			var pwd=$("input")[1].value;
			var reChinese=/[\u0391-\uFFE5]+/;
			var b_chinese=reChinese.test(pwd);
			var reSpace=/\s+/;
			var b_space=reSpace.test(pwd);
			//-------长度测试
			if(pwd.length<6){
				$("span")[1].innerHTML="<img src='yesno.gif'/> 密码长度不能小于6";
				flag[2]=0;
				check_data();
			}
			//-------合法性检测:不能包含汉字
			else if(b_chinese){
				$("span")[1].innerHTML="<img src='yesno.gif'/> 密码不能包含中文";
				flag[2]=0;
				check_data();
			}
			//-------合法性检测:不能包含空格
			else if(b_space){
				$("span")[1].innerHTML="<img src='yesno.gif'/> 密码不能包含空格";
				flag[2]=0;
				check_data();
			}
			//-------合法时显示密码强度
			else{
				//定义对应的消息提示
				var num=getResult(pwd);
				var msg=new Array("<img src='bad.gif'/> 密码强度差","<img src='comm.gif'/> 密码强度一般","<img src='good.gif'/> 密码强度强壮");
				$("span")[1].innerHTML=msg[num];
				if($("input")[2].value!=""){
					check_pw();
					}
				return flag[2]=1;
				check_data();
				}
			}
			//定义检测函数,返回0/1/2分别代表差/一般/强
			function getResult(s){
				var ls =-1;
				if (s.match(/[a-z]/ig)){
					ls++;
				}
				if (s.match(/[0-9]/ig)){
					ls++;
				}
	 			if (s.match(/(.[^a-z0-9])/ig)){
					ls++;
				}
				return ls;
			}

		//---------用户名合法性检测
			function check_id(id_name){//只能字母和数字,是否相同用AJAX判断
				var reId=/^[\w\u0391-\uFFE5]+$/;
				var b_id=reId.test(id_name);
				if(!b_id){
					$("h6")[0].innerHTML="<img src='yesno.gif'/> ID命名非法";
					flag[4]=0;
					check_data();
				}
				else{//合法用户名用ajax的checkid()检测是否被注册过
					checkid(id_name);
				}
			}
		
		
//--------------------------------------------------------------------
function checkid(regid){	
	var xmlhttp;
	try{
		xmlhttp=new XMLHttpRequest();
		}
	catch(e){
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
	xmlhttp.onreadystatechange=function(){
	if (xmlhttp.readyState==4){
		if (xmlhttp.status==200){
			var data=xmlhttp.responseText;
			id_result(data);
			}
		else{
			$("h6")[0].innerHTML="用户名检测失败,请联系管理员";
			}
		}
	else{
		$("h6")[0].innerHTML="正在进行用户名校验...";
		}
	}
	xmlhttp.open("post", "../cn_asp/check_id.asp", true);
	xmlhttp.setRequestHeader('Content-type','application/x-www-form-urlencoded');
	xmlhttp.send("regid="+escape(regid));
}
function id_result(data){
	var resultbox=$("h6")[0];
	if(data==1){
		resultbox.innerHTML='<img src="yesok.gif"/> 用户名可用';
		flag[4]=1;
		check_data();
		}
	else{
		resultbox.innerHTML='<img src="yesno.gif"/> 该用户名已经被注册';
		flag[4]=0;
		check_data();
	}
}


